#include <iostream>

using namespace std;

int main()
{
    long long n;
    long long sum=0;
    cin >>n;
    long long m[n];
    for(long long i=0; i<n; i++)
    {
        cin >> m[i];
    }
    long long kol=1;
    long long ind=0;
    long long num=m[n-1];
    long long zero=0;
    for(long long i=n-2; i>=0; i--)
    {
        if(m[i]==num)
        {
            kol++;
            continue;
        }
        else
        {
            sum+=max(num-ind, zero)*kol;
            ind+=kol;
            kol=1;
            num=m[i];
        }
    }
    cout << sum;
    return 0;
}
